<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">

<head>
  <title>KDesktopFileActions</title>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <meta http-equiv="Content-Style-Type" content="text/css" />
  <link rel="stylesheet" type="text/css" href="../common/doxygen.css" />
  <link rel="stylesheet" media="screen" type="text/css" title="KDE Colors" href="../common/kde.css" />
</head>
<body>
<div id="container">
<div id="header">
  <div id="header_top">
    <div>
      <div>
        <img alt ="" src="../common/top-kde.jpg"/>
        KDE 4.2 PyKDE API Reference
      </div>
    </div>
  </div>
  <div id="header_bottom">
    <div id="location">
      <ul>
        <li>KDE's Python API</li>
      </ul>
    </div>

    <div id="menu">
      <ul>
        <li><a href="../modules.html">Overview</a></li>
<li><a href="http://techbase.kde.org/Development/Languages/Python">PyKDE Home</a></li>
<li><a href="http://kde.org/family/">Sitemap</a></li>
<li><a href="http://kde.org/contact/">Contact Us</a></li>
</ul>
    </div>
  </div>
</div>

<div id="body_wrapper">
<div id="body">
<div id="right">
<div class="content">
<div id="main">
<div class="clearer">&nbsp;</div>

<h1>KDesktopFileActions Namespace Reference</h1>
<code>from PyKDE4.kio.KDesktopFileActions import *</code>
<p>
<h2>Detailed Description</h2>
<p>KDesktopFileActions provides a number of methods related to actions in desktop files.
</p>
<table border="0" cellpadding="0" cellspacing="0"><tr><td colspan="2"><br><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">[<a href="../kdecore/KServiceAction.html">KServiceAction</a>]&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj187324972">builtinServices</a> (<a href="../kdecore/KUrl.html">KUrl</a> url)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj175452364">executeService</a> (<a href="../kdecore/KUrl.List.html">KUrl.List</a> urls, <a href="../kdecore/KServiceAction.html">KServiceAction</a> service)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj172654252">run</a> (<a href="../kdecore/KUrl.html">KUrl</a> _url, bool _is_local)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">[<a href="../kdecore/KServiceAction.html">KServiceAction</a>]&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj187323500">userDefinedServices</a> (<a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> path, bool bLocalFiles)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">[<a href="../kdecore/KServiceAction.html">KServiceAction</a>]&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj187323948">userDefinedServices</a> (<a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> path, <a href="../kdecore/KDesktopFile.html">KDesktopFile</a> desktopFile, bool bLocalFiles, <a href="../kdecore/KUrl.List.html">KUrl.List</a> file_list=KUrl.List())</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">[<a href="../kdecore/KServiceAction.html">KServiceAction</a>]&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj187325260">userDefinedServices</a> (<a href="../kdecore/KService.html">KService</a> service, bool bLocalFiles, <a href="../kdecore/KUrl.List.html">KUrl.List</a> file_list=KUrl.List())</td></tr>
</table>
<hr><h2>Function Documentation</h2><a class="anchor" name="obj187324972"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">[<a href="../kdecore/KServiceAction.html">KServiceAction</a>] builtinServices</td>
<td>(</td>
<td class="paramtype"><a href="../kdecore/KUrl.html">KUrl</a>&nbsp;</td>
<td class="paramname"><em>url</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Returns a list of services for the given .desktop file that are handled
by kio itself. Namely mount/unmount for FSDevice files.
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the list of services
</dd></dl>
</p></div></div><a class="anchor" name="obj175452364"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> executeService</td>
<td>(</td>
<td class="paramtype"><a href="../kdecore/KUrl.List.html">KUrl.List</a>&nbsp;</td>
<td class="paramname"><em>urls</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdecore/KServiceAction.html">KServiceAction</a>&nbsp;</td>
<td class="paramname"><em>service</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Execute <b>service</b> on the list of <b>urls.</b>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>urls</em>&nbsp;</td><td> the list of urls

<tr><td></td><td valign="top"><em>service</em>&nbsp;</td><td> the service to execute
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj172654252"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool run</td>
<td>(</td>
<td class="paramtype"><a href="../kdecore/KUrl.html">KUrl</a>&nbsp;</td>
<td class="paramname"><em>_url</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">bool&nbsp;</td>
<td class="paramname"><em>_is_local</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Invokes the default action for the desktop entry. If the desktop
entry is not local, then only false is returned. Otherwise we
would create a security problem. Only types Link and Mimetype
could be followed.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>_url</em>&nbsp;</td><td> the url to run

<tr><td></td><td valign="top"><em>_is_local</em>&nbsp;</td><td> true if the URL is local, false otherwise
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> true on success and false on failure.
</dd></dl> <dl class="see" compact><dt><b>See also:</b></dt><dd> KRun.runUrl
</dd></dl>
</p></div></div><a class="anchor" name="obj187323500"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">[<a href="../kdecore/KServiceAction.html">KServiceAction</a>] userDefinedServices</td>
<td>(</td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>path</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">bool&nbsp;</td>
<td class="paramname"><em>bLocalFiles</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Returns a list of services defined by the user as possible actions
on the given .desktop file. May include separators (see KServiceAction.isSeparator)
which should appear in user-visible representations of those actions,
such as separators in a menu.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>path</em>&nbsp;</td><td> the path to the desktop file describing the services

<tr><td></td><td valign="top"><em>bLocalFiles</em>&nbsp;</td><td> true if those services are to be applied to local files only
(if false, services that don't have %u or %U in the Exec line won't be taken into account).
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> the list of user defined actions
</dd></dl>
</p></div></div><a class="anchor" name="obj187323948"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">[<a href="../kdecore/KServiceAction.html">KServiceAction</a>] userDefinedServices</td>
<td>(</td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>path</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdecore/KDesktopFile.html">KDesktopFile</a>&nbsp;</td>
<td class="paramname"><em>desktopFile</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">bool&nbsp;</td>
<td class="paramname"><em>bLocalFiles</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdecore/KUrl.List.html">KUrl.List</a>&nbsp;</td>
<td class="paramname"><em>file_list=KUrl.List()</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Overload of userDefinedServices but also allows you to pass a list of urls for this file.
This allows for the menu to be changed depending on the exact files via
the X-KDE-GetActionMenu extension.
</p></div></div><a class="anchor" name="obj187325260"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">[<a href="../kdecore/KServiceAction.html">KServiceAction</a>] userDefinedServices</td>
<td>(</td>
<td class="paramtype"><a href="../kdecore/KService.html">KService</a>&nbsp;</td>
<td class="paramname"><em>service</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">bool&nbsp;</td>
<td class="paramname"><em>bLocalFiles</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdecore/KUrl.List.html">KUrl.List</a>&nbsp;</td>
<td class="paramname"><em>file_list=KUrl.List()</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Returns a list of services defined by the user as possible actions
on the given .desktop file represented by the KService instance.
May include separators (see KServiceAction.isSeparator) which should
appear in user-visible representations of those actions,
such as separators in a menu.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>path</em>&nbsp;</td><td> the path to the desktop file describing the services

<tr><td></td><td valign="top"><em>bLocalFiles</em>&nbsp;</td><td> true if those services are to be applied to local files only
(if false, services that don't have %u or %U in the Exec line won't be taken into account).

<tr><td></td><td valign="top"><em>file_list</em>&nbsp;</td><td> list of urls; this allows for the menu to be changed depending on the exact files via
the X-KDE-GetActionMenu extension.
</td></tr>
</table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> the list of user defined actions
</dd></dl>
</p></div></div>
</div>
</div>
</div>

<div id="left">

<div class="menu_box">
<div class="nav_list">
<ul>
<li><a href="../allclasses.html">Full Index</a></li>
</ul>
</div>

<a name="cp-menu" /><div class="menutitle"><div>
  <h2 id="cp-menu-project">Modules</h2>
</div></div>
<div class="nav_list">
<ul>
<li><a href="../akonadi/index.html">akonadi</a></li>
<li><a href="../dnssd/index.html">dnssd</a></li>
<li><a href="../kdecore/index.html">kdecore</a></li>
<li><a href="../kdeui/index.html">kdeui</a></li>
<li><a href="../khtml/index.html">khtml</a></li>
<li><a href="../kio/index.html">kio</a></li>
<li><a href="../knewstuff/index.html">knewstuff</a></li>
<li><a href="../kparts/index.html">kparts</a></li>
<li><a href="../kutils/index.html">kutils</a></li>
<li><a href="../nepomuk/index.html">nepomuk</a></li>
<li><a href="../phonon/index.html">phonon</a></li><li><a href="../plasma/index.html">plasma</a></li>
<li><a href="../solid/index.html">solid</a></li>
<li><a href="../soprano/index.html">soprano</a></li>
</ul></div></div>

</div>

</div>
  <div class="clearer"/>
</div>

<div id="end_body"></div>
</div>
<div id="footer"><div id="footer_text">
This documentation is maintained by <a href="&#109;&#97;&#105;&#108;&#116;&#111;&#58;simon&#64;simonzone&#46;com">Simon Edwards</a>.<br />
        KDE<sup>&#174;</sup> and <a href="../images/kde_gear_black.png">the K Desktop Environment<sup>&#174;</sup> logo</a> are registered trademarks of <a href="http://ev.kde.org/" title="Homepage of the KDE non-profit Organization">KDE e.V.</a> |
        <a href="http://www.kde.org/contact/impressum.php">Legal</a>
    </div></div>
</body>
</html>
